
package com.tmerclub.cloud.common.bean;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * 快递鸟物流详情查询
 * @author SJL
 */
public class Quick100 extends SwitchBaseModel {

    /**
     * 快递100中顺丰编码
     */
    @JsonIgnore
    public static final String SF_CODE = "shunfeng";
    /**
     * 快递100中丰网速运编码
     */
    @JsonIgnore
    public static final String FENGWANG_CODE = "fengwang";

    private String customer;
    private String key;
    private String secret;
    private String reqUrl;

    /**
     * 是否开启电子面单
     */
    private Boolean isPrint;
    /**
     * 电子面单请求接口
     */
    private String printReqUrl;
    /**
     * 电子面单沙箱模式
     */
    private Boolean mock;

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public String getReqUrl() {
        return reqUrl;
    }

    public void setReqUrl(String reqUrl) {
        this.reqUrl = reqUrl;
    }

    public Boolean getIsPrint() {
        return isPrint;
    }

    public void setIsPrint(Boolean print) {
        isPrint = print;
    }

    public String getPrintReqUrl() {
        return printReqUrl;
    }

    public void setPrintReqUrl(String printReqUrl) {
        this.printReqUrl = printReqUrl;
    }

    public Boolean getMock() {
        return mock;
    }

    public void setMock(Boolean mock) {
        this.mock = mock;
    }
}
